#-- copyright
#OpenProject is an open source project management software.
#Copyright (C) 2023 Ben Tey
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License version 3.
#OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
#Copyright (C) 2006-2013 Jean-Philippe Lang
#Copyright (C) 2010-2013 the ChiliProject Team
#Copyright (C) the OpenProject GmbH
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#See docs/COPYRIGHT.rdoc for more details.
#++
lt:
  activerecord:
    errors:
      models:
        gitlab_issue:
          attributes:
            labels:
              invalid_schema: "turi būti masyvas raktų: spalva, pavadinimas"
        gitlab_merge_request:
          attributes:
            labels:
              invalid_schema: "turi būti masyvas raktų: spalva, antraštė"
  project_module_gitlab: "GitLab"
  permission_show_gitlab_content: "Rodyti GitLab turinį"
  gitlab_integration:
    merge_request_opened_comment: >
      **MR Atidarytas:** Suliejimo prašymą %{mr_number} [%{mr_title}](%{mr_url}) skirtą [%{repository}](%{repository_url}) atidarė [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_closed_comment: >
      **MR Uždarytas:** Suliejimo prašymą %{mr_number} [%{mr_title}](%{mr_url}) skirtą [%{repository}](%{repository_url}) uždarė [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_merged_comment: >
      **MR Sulietas:** Suliejimo prašymą %{mr_number} [%{mr_title}](%{mr_url}) skirtą [%{repository}](%{repository_url}) suliejo [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_reopened_comment: >
      **MR Atidarytas iš naujo:** Suliejimo prašymą %{mr_number} [%{mr_title}](%{mr_url}) skirtą [%{repository}](%{repository_url}) iš naujo atidarė [%{gitlab_user}](%{gitlab_user_url}).
    note_commit_referenced_comment: >
      **Paimnėtas pakeitime:** [%{gitlab_user}](%{gitlab_user_url}) paminėjo šį WP pakeitimo pastaboje [%{commit_id}](%{commit_url}) [%{repository}](%{repository_url}): %{commit_note}
    note_mr_referenced_comment: >
      **Paminėta MR:** [%{gitlab_user}](%{gitlab_user_url}) paminėjo šį WP suliejimo prašyme %{mr_number} [%{mr_title}](%{mr_url}) [%{repository}](%{repository_url}): %{mr_note}
    note_mr_commented_comment: >
      **Komentuota MR:** [%{gitlab_user}](%{gitlab_user_url}) komentavo šį WP suliejimo prašyme %{mr_number} [%{mr_title}](%{mr_url}) [%{repository}](%{repository_url}): %{mr_note}
    note_issue_referenced_comment: >
      **Paminėjo problemoje:** [%{gitlab_user}](%{gitlab_user_url}) paminėjo šį WP problemoje %{issue_number} [%{issue_title}](%{issue_url}) [%{repository}](%{repository_url}): %{issue_note}
    note_issue_commented_comment: >
      **Komentavo problemoje:** [%{gitlab_user}](%{gitlab_user_url}) komentavo šį WP problemoje %{issue_number} [%{issue_title}](%{issue_url}) [%{repository}](%{repository_url}): %{issue_note}
    note_snippet_referenced_comment: >
      **Paminėjo gabaliuke:** [%{gitlab_user}](%{gitlab_user_url}) paminėjo šį WP gabaliuke %{snippet_number} [%{snippet_title}](%{snippet_url}) [%{repository}](%{repository_url}): %{snippet_note}
    issue_opened_referenced_comment: >
      **Atverta problema:** Problemą %{issue_number} [%{issue_title}](%{issue_url}) skirtą [%{repository}](%{repository_url}) atidarė [%{gitlab_user}](%{gitlab_user_url}).
    issue_closed_referenced_comment: >
      **Problema uždaryta:** Problemą %{issue_number} [%{issue_title}](%{issue_url}) skirtą [%{repository}](%{repository_url}) uždarė [%{gitlab_user}](%{gitlab_user_url}).
    issue_reopened_referenced_comment: >
      **Problema vėl atidaryta:** Problemą %{issue_number} [%{issue_title}](%{issue_url}) skirtą [%{repository}](%{repository_url}) vėl atidarė [%{gitlab_user}](%{gitlab_user_url}).
    push_single_commit_comment: >
      **Pakeista MR'e:** [%{gitlab_user}](%{gitlab_user_url}) pakeitė [%{commit_number}](%{commit_url}) į [%{repository}](%{repository_url}) %{commit_timestamp}: %{commit_note}
    push_single_commit_comment_with_ref: >
      **Pushed in %{reference}:** [%{gitlab_user}](%{gitlab_user_url}) pushed [%{commit_number}](%{commit_url}) to [%{repository}](%{repository_url}) at %{commit_timestamp}: %{commit_note}
    push_multiple_commits_comment: >
      **Pakeitė MR'e:** [%{gitlab_user}](%{gitlab_user_url}) padarė kelis pakeitimus [%{commit_number}](%{commit_url}) skirtus [%{repository}](%{repository_url}) %{commit_timestamp}: %{commit_note}
